Patch game revision
PATCH /v1/management/games//revisions/
curl --request PATCH \
--url https://api.summer.games/v1/management/games/{gameId}/revisions/{revisionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'If-Match: <if-match>' \
--data '
{
"featuredItemIds": [
"<string>"
],
"languages": [
"<string>"
],
"subtitle": "<string>",
"supportedPlatforms": [],
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"mediaAssetIds": [
"<string>"
],
"iconAssetId": "<string>",
"release": {
"comingSoon": true,
"date": "<string>"
},
"aiDisclosure": {
"uses": [],
"description": "<string>"
},
"contentSurvey": {
"userGeneratedContent": true,
"onlineInteraction": true,
"inGamePurchases": true,
"notes": "<string>"
},
"mediaSlots": {
"screenshots": [
"<string>"
],
"trailers": [
{
"assetId": "<string>",
"posterAssetId": "<string>"
}
],
"desktop": {
"screenshots": [
"<string>"
],
"trailers": [
{
"assetId": "<string>",
"posterAssetId": "<string>"
}
]
},
"mobile": {
"screenshots": [
"<string>"
]
}
},
"longDescription": "<string>",
"genres": [
"<string>"
],
"features": [],
"credits": {
"developer": "<string>",
"publisher": "<string>",
"franchise": "<string>"
},
"languageSupport": [
{
"code": "<string>",
"interface": true,
"fullAudio": true,
"subtitles": true
}
],
"externalLinks": [
{
"url": "<string>"
}
],
"mobile": {
"subtitle": "<string>",
"description": "<string>"
}
}
'import requests
url = "https://api.summer.games/v1/management/games/{gameId}/revisions/{revisionId}"
payload = {
"featuredItemIds": ["<string>"],
"languages": ["<string>"],
"subtitle": "<string>",
"supportedPlatforms": [],
"name": "<string>",
"description": "<string>",
"tags": ["<string>"],
"mediaAssetIds": ["<string>"],
"iconAssetId": "<string>",
"release": {
"comingSoon": True,
"date": "<string>"
},
"aiDisclosure": {
"uses": [],
"description": "<string>"
},
"contentSurvey": {
"userGeneratedContent": True,
"onlineInteraction": True,
"inGamePurchases": True,
"notes": "<string>"
},
"mediaSlots": {
"screenshots": ["<string>"],
"trailers": [
{
"assetId": "<string>",
"posterAssetId": "<string>"
}
],
"desktop": {
"screenshots": ["<string>"],
"trailers": [
{
"assetId": "<string>",
"posterAssetId": "<string>"
}
]
},
"mobile": { "screenshots": ["<string>"] }
},
"longDescription": "<string>",
"genres": ["<string>"],
"features": [],
"credits": {
"developer": "<string>",
"publisher": "<string>",
"franchise": "<string>"
},
"languageSupport": [
{
"code": "<string>",
"interface": True,
"fullAudio": True,
"subtitles": True
}
],
"externalLinks": [{ "url": "<string>" }],
"mobile": {
"subtitle": "<string>",
"description": "<string>"
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"If-Match": "<if-match>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
'If-Match': '<if-match>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
featuredItemIds: ['<string>'],
languages: ['<string>'],
subtitle: '<string>',
supportedPlatforms: [],
name: '<string>',
description: '<string>',
tags: ['<string>'],
mediaAssetIds: ['<string>'],
iconAssetId: '<string>',
release: {comingSoon: true, date: '<string>'},
aiDisclosure: {uses: [], description: '<string>'},
contentSurvey: {
userGeneratedContent: true,
onlineInteraction: true,
inGamePurchases: true,
notes: '<string>'
},
mediaSlots: {
screenshots: ['<string>'],
trailers: [{assetId: '<string>', posterAssetId: '<string>'}],
desktop: {
screenshots: ['<string>'],
trailers: [{assetId: '<string>', posterAssetId: '<string>'}]
},
mobile: {screenshots: ['<string>']}
},
longDescription: '<string>',
genres: ['<string>'],
features: [],
credits: {developer: '<string>', publisher: '<string>', franchise: '<string>'},
languageSupport: [{code: '<string>', interface: true, fullAudio: true, subtitles: true}],
externalLinks: [{url: '<string>'}],
mobile: {subtitle: '<string>', description: '<string>'}
})
};
fetch('https://api.summer.games/v1/management/games/{gameId}/revisions/{revisionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.summer.games/v1/management/games/{gameId}/revisions/{revisionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'featuredItemIds' => [
'<string>'
],
'languages' => [
'<string>'
],
'subtitle' => '<string>',
'supportedPlatforms' => [
],
'name' => '<string>',
'description' => '<string>',
'tags' => [
'<string>'
],
'mediaAssetIds' => [
'<string>'
],
'iconAssetId' => '<string>',
'release' => [
'comingSoon' => true,
'date' => '<string>'
],
'aiDisclosure' => [
'uses' => [
],
'description' => '<string>'
],
'contentSurvey' => [
'userGeneratedContent' => true,
'onlineInteraction' => true,
'inGamePurchases' => true,
'notes' => '<string>'
],
'mediaSlots' => [
'screenshots' => [
'<string>'
],
'trailers' => [
[
'assetId' => '<string>',
'posterAssetId' => '<string>'
]
],
'desktop' => [
'screenshots' => [
'<string>'
],
'trailers' => [
[
'assetId' => '<string>',
'posterAssetId' => '<string>'
]
]
],
'mobile' => [
'screenshots' => [
'<string>'
]
]
],
'longDescription' => '<string>',
'genres' => [
'<string>'
],
'features' => [
],
'credits' => [
'developer' => '<string>',
'publisher' => '<string>',
'franchise' => '<string>'
],
'languageSupport' => [
[
'code' => '<string>',
'interface' => true,
'fullAudio' => true,
'subtitles' => true
]
],
'externalLinks' => [
[
'url' => '<string>'
]
],
'mobile' => [
'subtitle' => '<string>',
'description' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>",
"If-Match: <if-match>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.summer.games/v1/management/games/{gameId}/revisions/{revisionId}"
payload := strings.NewReader("{\n \"featuredItemIds\": [\n \"<string>\"\n ],\n \"languages\": [\n \"<string>\"\n ],\n \"subtitle\": \"<string>\",\n \"supportedPlatforms\": [],\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"mediaAssetIds\": [\n \"<string>\"\n ],\n \"iconAssetId\": \"<string>\",\n \"release\": {\n \"comingSoon\": true,\n \"date\": \"<string>\"\n },\n \"aiDisclosure\": {\n \"uses\": [],\n \"description\": \"<string>\"\n },\n \"contentSurvey\": {\n \"userGeneratedContent\": true,\n \"onlineInteraction\": true,\n \"inGamePurchases\": true,\n \"notes\": \"<string>\"\n },\n \"mediaSlots\": {\n \"screenshots\": [\n \"<string>\"\n ],\n \"trailers\": [\n {\n \"assetId\": \"<string>\",\n \"posterAssetId\": \"<string>\"\n }\n ],\n \"desktop\": {\n \"screenshots\": [\n \"<string>\"\n ],\n \"trailers\": [\n {\n \"assetId\": \"<string>\",\n \"posterAssetId\": \"<string>\"\n }\n ]\n },\n \"mobile\": {\n \"screenshots\": [\n \"<string>\"\n ]\n }\n },\n \"longDescription\": \"<string>\",\n \"genres\": [\n \"<string>\"\n ],\n \"features\": [],\n \"credits\": {\n \"developer\": \"<string>\",\n \"publisher\": \"<string>\",\n \"franchise\": \"<string>\"\n },\n \"languageSupport\": [\n {\n \"code\": \"<string>\",\n \"interface\": true,\n \"fullAudio\": true,\n \"subtitles\": true\n }\n ],\n \"externalLinks\": [\n {\n \"url\": \"<string>\"\n }\n ],\n \"mobile\": {\n \"subtitle\": \"<string>\",\n \"description\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("If-Match", "<if-match>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.summer.games/v1/management/games/{gameId}/revisions/{revisionId}")
.header("Idempotency-Key", "<idempotency-key>")
.header("If-Match", "<if-match>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"featuredItemIds\": [\n \"<string>\"\n ],\n \"languages\": [\n \"<string>\"\n ],\n \"subtitle\": \"<string>\",\n \"supportedPlatforms\": [],\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"mediaAssetIds\": [\n \"<string>\"\n ],\n \"iconAssetId\": \"<string>\",\n \"release\": {\n \"comingSoon\": true,\n \"date\": \"<string>\"\n },\n \"aiDisclosure\": {\n \"uses\": [],\n \"description\": \"<string>\"\n },\n \"contentSurvey\": {\n \"userGeneratedContent\": true,\n \"onlineInteraction\": true,\n \"inGamePurchases\": true,\n \"notes\": \"<string>\"\n },\n \"mediaSlots\": {\n \"screenshots\": [\n \"<string>\"\n ],\n \"trailers\": [\n {\n \"assetId\": \"<string>\",\n \"posterAssetId\": \"<string>\"\n }\n ],\n \"desktop\": {\n \"screenshots\": [\n \"<string>\"\n ],\n \"trailers\": [\n {\n \"assetId\": \"<string>\",\n \"posterAssetId\": \"<string>\"\n }\n ]\n },\n \"mobile\": {\n \"screenshots\": [\n \"<string>\"\n ]\n }\n },\n \"longDescription\": \"<string>\",\n \"genres\": [\n \"<string>\"\n ],\n \"features\": [],\n \"credits\": {\n \"developer\": \"<string>\",\n \"publisher\": \"<string>\",\n \"franchise\": \"<string>\"\n },\n \"languageSupport\": [\n {\n \"code\": \"<string>\",\n \"interface\": true,\n \"fullAudio\": true,\n \"subtitles\": true\n }\n ],\n \"externalLinks\": [\n {\n \"url\": \"<string>\"\n }\n ],\n \"mobile\": {\n \"subtitle\": \"<string>\",\n \"description\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.summer.games/v1/management/games/{gameId}/revisions/{revisionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["If-Match"] = '<if-match>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"featuredItemIds\": [\n \"<string>\"\n ],\n \"languages\": [\n \"<string>\"\n ],\n \"subtitle\": \"<string>\",\n \"supportedPlatforms\": [],\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"mediaAssetIds\": [\n \"<string>\"\n ],\n \"iconAssetId\": \"<string>\",\n \"release\": {\n \"comingSoon\": true,\n \"date\": \"<string>\"\n },\n \"aiDisclosure\": {\n \"uses\": [],\n \"description\": \"<string>\"\n },\n \"contentSurvey\": {\n \"userGeneratedContent\": true,\n \"onlineInteraction\": true,\n \"inGamePurchases\": true,\n \"notes\": \"<string>\"\n },\n \"mediaSlots\": {\n \"screenshots\": [\n \"<string>\"\n ],\n \"trailers\": [\n {\n \"assetId\": \"<string>\",\n \"posterAssetId\": \"<string>\"\n }\n ],\n \"desktop\": {\n \"screenshots\": [\n \"<string>\"\n ],\n \"trailers\": [\n {\n \"assetId\": \"<string>\",\n \"posterAssetId\": \"<string>\"\n }\n ]\n },\n \"mobile\": {\n \"screenshots\": [\n \"<string>\"\n ]\n }\n },\n \"longDescription\": \"<string>\",\n \"genres\": [\n \"<string>\"\n ],\n \"features\": [],\n \"credits\": {\n \"developer\": \"<string>\",\n \"publisher\": \"<string>\",\n \"franchise\": \"<string>\"\n },\n \"languageSupport\": [\n {\n \"code\": \"<string>\",\n \"interface\": true,\n \"fullAudio\": true,\n \"subtitles\": true\n }\n ],\n \"externalLinks\": [\n {\n \"url\": \"<string>\"\n }\n ],\n \"mobile\": {\n \"subtitle\": \"<string>\",\n \"description\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"retryable": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"retryable": true
}
}Authorizations
Headers
Path Parameters
Body
Creator-declared player platforms; this does not certify a playable build. New Games and newly submitted drafts require explicit targets. Historical revisions may have an empty declaration.
1 - 6 elementsandroid, ios, linux, macos, web, windows Omission preserves; null clears. Published with the reviewed revision.
1single_player, online_multiplayer, local_multiplayer, online_coop, local_coop, cross_platform, controller_full, controller_partial, cloud_saves, plays_in_browser, level_editor, achievements, in_game_purchases Omission preserves; null clears the support matrix and keeps languages. A value sets languages to its codes when languages is omitted; when both are sent, or languages is sent alone while support is declared, the codes must equal languages or the edit is 422. Published with the reviewed revision.
1 - 30 elementsShow child attributes
Show child attributes
The iPhone and Android tagline and description. Omission preserves; null clears it, and so does a value whose texts are all null or empty, so the phone apps use the desktop subtitle and description. A value replaces both texts. Revision reads always carry mobile, null when cleared. Published with the reviewed revision.
Show child attributes
Show child attributes
Response
Resource view
The response is of type object.
curl --request PATCH \
--url https://api.summer.games/v1/management/games/{gameId}/revisions/{revisionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'If-Match: <if-match>' \
--data '
{
"featuredItemIds": [
"<string>"
],
"languages": [
"<string>"
],
"subtitle": "<string>",
"supportedPlatforms": [],
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"mediaAssetIds": [
"<string>"
],
"iconAssetId": "<string>",
"release": {
"comingSoon": true,
"date": "<string>"
},
"aiDisclosure": {
"uses": [],
"description": "<string>"
},
"contentSurvey": {
"userGeneratedContent": true,
"onlineInteraction": true,
"inGamePurchases": true,
"notes": "<string>"
},
"mediaSlots": {
"screenshots": [
"<string>"
],
"trailers": [
{
"assetId": "<string>",
"posterAssetId": "<string>"
}
],
"desktop": {
"screenshots": [
"<string>"
],
"trailers": [
{
"assetId": "<string>",
"posterAssetId": "<string>"
}
]
},
"mobile": {
"screenshots": [
"<string>"
]
}
},
"longDescription": "<string>",
"genres": [
"<string>"
],
"features": [],
"credits": {
"developer": "<string>",
"publisher": "<string>",
"franchise": "<string>"
},
"languageSupport": [
{
"code": "<string>",
"interface": true,
"fullAudio": true,
"subtitles": true
}
],
"externalLinks": [
{
"url": "<string>"
}
],
"mobile": {
"subtitle": "<string>",
"description": "<string>"
}
}
'import requests
url = "https://api.summer.games/v1/management/games/{gameId}/revisions/{revisionId}"
payload = {
"featuredItemIds": ["<string>"],
"languages": ["<string>"],
"subtitle": "<string>",
"supportedPlatforms": [],
"name": "<string>",
"description": "<string>",
"tags": ["<string>"],
"mediaAssetIds": ["<string>"],
"iconAssetId": "<string>",
"release": {
"comingSoon": True,
"date": "<string>"
},
"aiDisclosure": {
"uses": [],
"description": "<string>"
},
"contentSurvey": {
"userGeneratedContent": True,
"onlineInteraction": True,
"inGamePurchases": True,
"notes": "<string>"
},
"mediaSlots": {
"screenshots": ["<string>"],
"trailers": [
{
"assetId": "<string>",
"posterAssetId": "<string>"
}
],
"desktop": {
"screenshots": ["<string>"],
"trailers": [
{
"assetId": "<string>",
"posterAssetId": "<string>"
}
]
},
"mobile": { "screenshots": ["<string>"] }
},
"longDescription": "<string>",
"genres": ["<string>"],
"features": [],
"credits": {
"developer": "<string>",
"publisher": "<string>",
"franchise": "<string>"
},
"languageSupport": [
{
"code": "<string>",
"interface": True,
"fullAudio": True,
"subtitles": True
}
],
"externalLinks": [{ "url": "<string>" }],
"mobile": {
"subtitle": "<string>",
"description": "<string>"
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"If-Match": "<if-match>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
'If-Match': '<if-match>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
featuredItemIds: ['<string>'],
languages: ['<string>'],
subtitle: '<string>',
supportedPlatforms: [],
name: '<string>',
description: '<string>',
tags: ['<string>'],
mediaAssetIds: ['<string>'],
iconAssetId: '<string>',
release: {comingSoon: true, date: '<string>'},
aiDisclosure: {uses: [], description: '<string>'},
contentSurvey: {
userGeneratedContent: true,
onlineInteraction: true,
inGamePurchases: true,
notes: '<string>'
},
mediaSlots: {
screenshots: ['<string>'],
trailers: [{assetId: '<string>', posterAssetId: '<string>'}],
desktop: {
screenshots: ['<string>'],
trailers: [{assetId: '<string>', posterAssetId: '<string>'}]
},
mobile: {screenshots: ['<string>']}
},
longDescription: '<string>',
genres: ['<string>'],
features: [],
credits: {developer: '<string>', publisher: '<string>', franchise: '<string>'},
languageSupport: [{code: '<string>', interface: true, fullAudio: true, subtitles: true}],
externalLinks: [{url: '<string>'}],
mobile: {subtitle: '<string>', description: '<string>'}
})
};
fetch('https://api.summer.games/v1/management/games/{gameId}/revisions/{revisionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.summer.games/v1/management/games/{gameId}/revisions/{revisionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'featuredItemIds' => [
'<string>'
],
'languages' => [
'<string>'
],
'subtitle' => '<string>',
'supportedPlatforms' => [
],
'name' => '<string>',
'description' => '<string>',
'tags' => [
'<string>'
],
'mediaAssetIds' => [
'<string>'
],
'iconAssetId' => '<string>',
'release' => [
'comingSoon' => true,
'date' => '<string>'
],
'aiDisclosure' => [
'uses' => [
],
'description' => '<string>'
],
'contentSurvey' => [
'userGeneratedContent' => true,
'onlineInteraction' => true,
'inGamePurchases' => true,
'notes' => '<string>'
],
'mediaSlots' => [
'screenshots' => [
'<string>'
],
'trailers' => [
[
'assetId' => '<string>',
'posterAssetId' => '<string>'
]
],
'desktop' => [
'screenshots' => [
'<string>'
],
'trailers' => [
[
'assetId' => '<string>',
'posterAssetId' => '<string>'
]
]
],
'mobile' => [
'screenshots' => [
'<string>'
]
]
],
'longDescription' => '<string>',
'genres' => [
'<string>'
],
'features' => [
],
'credits' => [
'developer' => '<string>',
'publisher' => '<string>',
'franchise' => '<string>'
],
'languageSupport' => [
[
'code' => '<string>',
'interface' => true,
'fullAudio' => true,
'subtitles' => true
]
],
'externalLinks' => [
[
'url' => '<string>'
]
],
'mobile' => [
'subtitle' => '<string>',
'description' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>",
"If-Match: <if-match>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.summer.games/v1/management/games/{gameId}/revisions/{revisionId}"
payload := strings.NewReader("{\n \"featuredItemIds\": [\n \"<string>\"\n ],\n \"languages\": [\n \"<string>\"\n ],\n \"subtitle\": \"<string>\",\n \"supportedPlatforms\": [],\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"mediaAssetIds\": [\n \"<string>\"\n ],\n \"iconAssetId\": \"<string>\",\n \"release\": {\n \"comingSoon\": true,\n \"date\": \"<string>\"\n },\n \"aiDisclosure\": {\n \"uses\": [],\n \"description\": \"<string>\"\n },\n \"contentSurvey\": {\n \"userGeneratedContent\": true,\n \"onlineInteraction\": true,\n \"inGamePurchases\": true,\n \"notes\": \"<string>\"\n },\n \"mediaSlots\": {\n \"screenshots\": [\n \"<string>\"\n ],\n \"trailers\": [\n {\n \"assetId\": \"<string>\",\n \"posterAssetId\": \"<string>\"\n }\n ],\n \"desktop\": {\n \"screenshots\": [\n \"<string>\"\n ],\n \"trailers\": [\n {\n \"assetId\": \"<string>\",\n \"posterAssetId\": \"<string>\"\n }\n ]\n },\n \"mobile\": {\n \"screenshots\": [\n \"<string>\"\n ]\n }\n },\n \"longDescription\": \"<string>\",\n \"genres\": [\n \"<string>\"\n ],\n \"features\": [],\n \"credits\": {\n \"developer\": \"<string>\",\n \"publisher\": \"<string>\",\n \"franchise\": \"<string>\"\n },\n \"languageSupport\": [\n {\n \"code\": \"<string>\",\n \"interface\": true,\n \"fullAudio\": true,\n \"subtitles\": true\n }\n ],\n \"externalLinks\": [\n {\n \"url\": \"<string>\"\n }\n ],\n \"mobile\": {\n \"subtitle\": \"<string>\",\n \"description\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("If-Match", "<if-match>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.summer.games/v1/management/games/{gameId}/revisions/{revisionId}")
.header("Idempotency-Key", "<idempotency-key>")
.header("If-Match", "<if-match>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"featuredItemIds\": [\n \"<string>\"\n ],\n \"languages\": [\n \"<string>\"\n ],\n \"subtitle\": \"<string>\",\n \"supportedPlatforms\": [],\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"mediaAssetIds\": [\n \"<string>\"\n ],\n \"iconAssetId\": \"<string>\",\n \"release\": {\n \"comingSoon\": true,\n \"date\": \"<string>\"\n },\n \"aiDisclosure\": {\n \"uses\": [],\n \"description\": \"<string>\"\n },\n \"contentSurvey\": {\n \"userGeneratedContent\": true,\n \"onlineInteraction\": true,\n \"inGamePurchases\": true,\n \"notes\": \"<string>\"\n },\n \"mediaSlots\": {\n \"screenshots\": [\n \"<string>\"\n ],\n \"trailers\": [\n {\n \"assetId\": \"<string>\",\n \"posterAssetId\": \"<string>\"\n }\n ],\n \"desktop\": {\n \"screenshots\": [\n \"<string>\"\n ],\n \"trailers\": [\n {\n \"assetId\": \"<string>\",\n \"posterAssetId\": \"<string>\"\n }\n ]\n },\n \"mobile\": {\n \"screenshots\": [\n \"<string>\"\n ]\n }\n },\n \"longDescription\": \"<string>\",\n \"genres\": [\n \"<string>\"\n ],\n \"features\": [],\n \"credits\": {\n \"developer\": \"<string>\",\n \"publisher\": \"<string>\",\n \"franchise\": \"<string>\"\n },\n \"languageSupport\": [\n {\n \"code\": \"<string>\",\n \"interface\": true,\n \"fullAudio\": true,\n \"subtitles\": true\n }\n ],\n \"externalLinks\": [\n {\n \"url\": \"<string>\"\n }\n ],\n \"mobile\": {\n \"subtitle\": \"<string>\",\n \"description\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.summer.games/v1/management/games/{gameId}/revisions/{revisionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["If-Match"] = '<if-match>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"featuredItemIds\": [\n \"<string>\"\n ],\n \"languages\": [\n \"<string>\"\n ],\n \"subtitle\": \"<string>\",\n \"supportedPlatforms\": [],\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"mediaAssetIds\": [\n \"<string>\"\n ],\n \"iconAssetId\": \"<string>\",\n \"release\": {\n \"comingSoon\": true,\n \"date\": \"<string>\"\n },\n \"aiDisclosure\": {\n \"uses\": [],\n \"description\": \"<string>\"\n },\n \"contentSurvey\": {\n \"userGeneratedContent\": true,\n \"onlineInteraction\": true,\n \"inGamePurchases\": true,\n \"notes\": \"<string>\"\n },\n \"mediaSlots\": {\n \"screenshots\": [\n \"<string>\"\n ],\n \"trailers\": [\n {\n \"assetId\": \"<string>\",\n \"posterAssetId\": \"<string>\"\n }\n ],\n \"desktop\": {\n \"screenshots\": [\n \"<string>\"\n ],\n \"trailers\": [\n {\n \"assetId\": \"<string>\",\n \"posterAssetId\": \"<string>\"\n }\n ]\n },\n \"mobile\": {\n \"screenshots\": [\n \"<string>\"\n ]\n }\n },\n \"longDescription\": \"<string>\",\n \"genres\": [\n \"<string>\"\n ],\n \"features\": [],\n \"credits\": {\n \"developer\": \"<string>\",\n \"publisher\": \"<string>\",\n \"franchise\": \"<string>\"\n },\n \"languageSupport\": [\n {\n \"code\": \"<string>\",\n \"interface\": true,\n \"fullAudio\": true,\n \"subtitles\": true\n }\n ],\n \"externalLinks\": [\n {\n \"url\": \"<string>\"\n }\n ],\n \"mobile\": {\n \"subtitle\": \"<string>\",\n \"description\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"retryable": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"retryable": true
}
}
